# Themes & Styling

At Kyso, we know that aesthetics matter, especially when working in on-premise installation!

{% hint style="success" %}
In a default installation of Kyso, **no theme is installed**. If you want to start your customisation, please download the following file.
{% endhint %}

{% file src="/files/fOgwiWWyCywKbnWxGyrA" %}
Basic Getting Started Theme
{% endfile %}

Using the Kyso CLI, we can use a little bit of CSS magic! A **global administrator** can edit the global styles of Kyso. For example, you can add the company's logo, or change the colors to match the corporate identity. Just type in your shell the following commands to get started:

```sh
$ kyso theme
Uploads the <zip_file_path> to the given <theme_name> folder replacing its previous contents.

USAGE
  $ kyso theme COMMAND

COMMANDS
  theme add   Uploads the <zip_file_path> to the given <theme_name> folder replacing its
              previous contents.
  theme del   Removes the <theme_name> folder.
  theme get   Downloads the contents of the theme_name folder and stores it on the given
              zip_file or on the theme_name.zip file on the current directory if no
              zip_file is provided.
  theme list  List all available themes
  theme set   Set the <theme_name> as default.

```

{% hint style="info" %}
The Global Admin will usually be the person who set up the Kyso installation. You can configure this or add more Global Admins in the install scripts.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kyso.io/settings-and-administration/themes-and-styling.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
